language-puppet: Tools to parse and evaluate the Puppet DSL.

[ bsd3, library, program, system ] [ Propose Tags ]

This is a set of tools that is supposed to fill all your Puppet needs : syntax checks, catalog compilation, PuppetDB queries, simulation of complex interactions between nodes, Puppet master replacement, and more !

Versions 0.1.3, 0.1.4, 0.1.5, 0.1.6, 0.1.7, 0.1.7.2, 0.1.8.0, 0.2.0, 0.2.0.1, 0.2.0.2, 0.2.2.0, 0.3.0.0, 0.3.1.0, 0.3.2, 0.4.0, 0.4.2, 0.10.0, 0.10.1, 0.10.2, 0.10.3, 0.10.4, 0.10.5, 0.10.6, 0.11.0, 0.11.1, 0.11.1.1, 0.12.0, 0.12.1, 0.12.2, 0.12.3, 0.13.0, 0.14.0, 1.0.0, 1.0.1, 1.1.0, 1.1.1, 1.1.1.1, 1.1.1.2, 1.1.3, 1.1.3.1, 1.1.4, 1.1.4.1, 1.1.5, 1.1.5.1, 1.2, 1.3, 1.3.1, 1.3.1.1, 1.3.2, 1.3.2.1, 1.3.3, 1.3.4, 1.3.4.1, 1.3.5, 1.3.5.1, 1.3.6, 1.3.7, 1.3.8, 1.3.8.1, 1.3.9, 1.3.10, 1.3.11, 1.3.12, 1.3.12.1, 1.3.13, 1.3.14, 1.3.15, 1.3.16, 1.3.17, 1.3.18, 1.3.18.1, 1.3.19, 1.3.19.1, 1.3.20, 1.3.20.1, 1.4.0
Change log CHANGELOG
Dependencies aeson (>=0.8), ansi-wl-pprint (>=0.6.8), attoparsec (>=0.12), base (>=4.9 && <5), base16-bytestring (==0.1.*), bytestring, case-insensitive (==1.2.*), containers (==0.5.*), cryptonite (>=0.6), directory (>=1.2 && <1.4), exceptions (>=0.8 && <0.11), filecache (>=0.2.9 && <0.5), filepath (>=1.4), formatting, Glob, hashable (==1.2.*), hruby (>=0.3.2 && <0.4), hslogger (==1.2.*), hspec, http-api-data (>=0.2 && <0.4), http-client (>=0.4.30 && <0.6), language-puppet, lens (>=4.12 && <5), lens-aeson (>=1.0), megaparsec (==7.*), memory (>=0.7), mtl (>=2.2.1 && <2.3), operational (>=0.2.3 && <0.3), optparse-applicative, parallel-io, parsec (==3.1.*), parser-combinators (==1.*), pcre-utils (>=0.1.7 && <0.2), process (>=1.2), protolude (>=0.2), random, regex-pcre-builtin (>=0.94.4), scientific (>=0.2 && <0.4), servant (>=0.9 && <0.15), servant-client (>=0.9 && <0.15), split (==0.2.*), stm (==2.4.*), strict-base-types (>=0.3), text (>=0.11), time (>=1.5 && <2), transformers (>=0.4 && <0.6), unix (==2.7.*), unordered-containers (==0.2.*), vector (>=0.10), yaml (>=0.8.31 && <0.11) [details]
License BSD-3-Clause
Author Simon Marechal
Maintainer bartavelle@gmail.com
Category System
Home page http://lpuppet.banquise.net/
Bug tracker https://github.com/bartavelle/language-puppet/issues
Source repo head: git clone git://github.com/bartavelle/language-puppet.git
Uploaded by SimonMarechal at Thu Sep 6 09:06:07 UTC 2018
Distributions LTSHaskell:1.3.20.1, NixOS:1.4.0
Executables pdbquery, yera, puppetresources
Downloads 19412 total (103 in the last 30 days)
Rating 2.0 (votes: 1) [estimated by rule of succession]
Your Rating
  • λ
  • λ
  • λ
Status Docs not available [build log]
All reported builds failed as of 2018-09-06 [all 3 reports]
Hackage Matrix CI

Modules

  • Erb
  • Facter
  • Hiera
    • Hiera.Server
  • Puppet
    • Puppet.Interpreter
    • Puppet.Language
    • Puppet.Parser
    • Puppet.Runner
  • PuppetDB
  • XPrelude

Downloads

Maintainer's Corner

For package maintainers and hackage trustees